%define PKGRELEASE 3.7

Summary:	The Persistence of Vision Raytracer
Name:		povray
Version:	3.7.0
Release:	%mkrel -c RC3 3
Group:		Sciences/Computer science
License:	GPL
URL:		http://www.povray.org
Source:		http://www.povray.org/beta/source/povray-%{version}.RC3.tar.bz2
Source1:	%{name}.bash-completion
Patch0:		povray-3.7.0-install.patch
BuildRequires:	zlib-devel
BuildRequires:	libx11-devel
BuildRequires:	libxpm-devel
BuildRequires:	libpng-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libtiff-devel
BuildRequires:	svgalib-devel
BuildRequires:	OpenEXR-devel
BuildRequires:	SDL-devel
BuildRequires:	boost-devel

%description
The Persistence of Vision Ray tracer creates three-dimensional,
photo-realistic images using a rendering technique called ray tracing.
It reads in a text file containing information describing the objects and
lighting in a scene and generates an image of that scene from the view
point of a camera also described in the text file. Ray tracing is not
a fast process by any means, (the generation of a complex image can
take several hours) but it produces very high quality images
with realistic reflections, shading, perspective, and other effects.

%prep
%setup -qn povray-%{version}.RC3
%patch0 -p0

%build
%configure2_5x --with-x COMPILED_BY="%_vendor" --disable-optimiz --with-boost-thread=boost_thread-mt
%make

%install
rm -rf %{buildroot}
%makeinstall_std

install -d -m 755 %{buildroot}%{_sysconfdir}/bash_completion.d
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/bash_completion.d/%{name}

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/bash_completion.d/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/%PKGRELEASE/povray.conf
%config(noreplace) %{_sysconfdir}/%{name}/%PKGRELEASE/povray.ini
%doc doc/* 
%doc %{_mandir}/man1/povray.*
%{_bindir}/povray
%{_defaultdocdir}/%{name}-%PKGRELEASE
%{_datadir}/%{name}-%PKGRELEASE


%changelog

* Sun Dec 25 2011 fwang <fwang> 3.7.0-0.RC3.3.mga2
+ Revision: 187439
- rebuild for new libtiff

* Mon Nov 28 2011 fwang <fwang> 3.7.0-0.RC3.2.mga2
+ Revision: 173620
- rebuild for new boost

* Tue Sep 20 2011 fwang <fwang> 3.7.0-0.RC3.1.mga2
+ Revision: 146117
- update file list
- do not create user conf files when packing
- force mt
- add br
- 3.7.0 rc3

* Thu May 05 2011 pterjan <pterjan> 3.6.1-10.mga1
+ Revision: 95072
- Use _vendor for COMPILED_BY
- imported package povray

